# -*- coding: utf-8 -*-

from ipHelp import IPS

"""
Summe aller Zahlen in einer Liste bilden
"""


# Einfacher Fall: nur Zahlen in der Liste

L1 = [2, -4.3, 22.7, 55, ]

# über die Elemente der Liste iterieren
SUM = 0
for elt in L1:
	SUM += elt
	
# geht auch einfacher mit der builtin Funktion sum

SUM2 = sum(L1)

print SUM, SUM2


# Schwierigerer Fall: nicht nur Zahlen (int, float) sondern auch andere Objekte

L2 = [2, -4.3, 22.7, 55, "text", [-5,7], None, 3.1415 ]

SUM3=0
for elt in L2:
	if isinstance(elt, (int, float)):
	# nur addieren, wenn das Element eine Zahl ist
		SUM3+=elt
	

print SUM3
	
	

#IPS()


