# Dateien im Arbeitsverzeichnis nach Groesse sortiert ausgeben
import os


# Verzeichnisinhalt
content = os.listdir(os.getcwd())

# nur Dateien
files = filter(os.path.isfile, content)

# Dateigroesse bestimmen
sizes = map(os.path.getsize, files)

# Dateinamen und Groessen zu einer 2 x n - Liste kombinieren
pairs = zip(sizes, files)

# sortieren (passiert hier automatisch nach erstem Eintrag im Tupel)
pairs.sort()