# Systemvariable PATH als sortierte Liste ausgeben
import os


# os.environ ist ein dictionary mit Name und Wert der Variabeln als strings
# Trennzeichen fuer Pfade in PATH ist das ';'
# wenn man das nicht weiss, einfach im Interpreter reinschauen:
#
# >>> os.environ
# >>> os.environ['PATH']

# split(trennzeichen) ist eine Methode des Strings und trennt ihn bei jedem Auftreten
# des Trennzeichens. Rueckgabewert ist eine Liste mit den Teilen
path = os.environ['PATH'].split(';')

# noch sortieren
path.sort()

# zeilenweise Ausgabe
for i in path:
    print i