'''
Created on May 9, 2011

@author: peterseifert
'''

class Kuh(object):
    '''
    Schwarze Kuhvorlage
    '''
    def __init__(self):
        self.flecke = 'schwarz'
        self.kauzaehler = 0
        self.weide = None
        self.stopper = 4

    def muhen(self):
        """Kuh macht Muh!"""
        print "Muh!"
        
    def grasen(self):
        self.kauzaehler += 1
        if self.kauzaehler % self.stopper == 0:
            self.muhen()
            
    def setWeide(self, weide):
        self.weide = weide
        
    def getWeide(self):
        return self.weide
    
    def getFarbe(self):
        return self.flecke
    
    def __repr__(self):
        return 'Eine Kuh mit %sen Flecken.' % self.flecke