'''
Created on May 9, 2011
Weideklasse und main mit Kuhtest
@author: peterseifert
'''
from beispiel.Kuh import Kuh
from beispiel.BrauneKuh import BrauneKuh

class Weide(object):
    '''
    Die Weide, auf der die Kuehe stehen
    '''
    kuehe = []
    kuhzaehler = 0
        
    def weide_betreten(self, kuh):
        if not kuh in self.kuehe:
            self.kuehe.append(kuh)
            self.kuhzaehler += 1
            kuh.setWeide(self)
    
    def getKuhzaehler(self):
        return self.kuhzaehler
    
    def __repr__(self):
        return 'Eine Weide mit %s Kuehen drauf.' % self.getKuhzaehler()
            
if __name__ == '__main__':
    kuh1 = Kuh()
    kuh2 = BrauneKuh()
    weide = Weide()
    
    # kuehe auf weide stellen
    weide.weide_betreten(kuh1)
    weide.weide_betreten(kuh2)
    weide.weide_betreten(kuh2)
    
    # testen
    print weide.kuhzaehler
    print len(weide.kuehe)
    # weide hat jetzt eine schoene Repraesentation
    print kuh1.getWeide()
    
    # schwarze kuh grasen lassen    
    kuh1.grasen()
    kuh1.grasen()
    kuh1.grasen()
    kuh1.grasen()

    # braune kuh grasen lassen
    kuh2.grasen()
    kuh2.grasen()
    kuh2.grasen()

    # stopper aendern bei kuh2
    kuh2.stopper = 1
    print 'Stopper ist: ', kuh2.stopper
    kuh2.grasen()
    kuh2.grasen()
    
    # attribute kuh2 anschauen
    print kuh2
    print kuh2.getWeide()
    print kuh2.flecke
    print kuh2.getFarbe()
    print kuh2.kauzaehler
    
    