# -*- coding: utf-8 -*-

from ipHelp import IPS

"""
Die häufigsten Worte finden
"""

txt = """Vom Eise befreit sind Strom und Bäche
Durch des Frühlings holden, belebenden Blick,
Im Tale grünet Hoffnungsglück;
Der alte Winter, in seiner Schwäche,
Zog sich in rauhe Berge zurück.
Von dort her sendet er, fliehend, nur
Ohnmächtige Schauer körnigen Eises
In Streifen über die grünende Flur.
Aber die Sonne duldet kein Weißes,
Überall regt sich Bildung und Streben,
Alles will sie mit Farben beleben;
Doch an Blumen fehlts im Revier,
Sie nimmt geputzte Menschen dafür.
Kehre dich um, von diesen Höhen
Nach der Stadt zurück zu sehen!
Aus dem hohlen finstern Tor
Dringt ein buntes Gewimmel hervor.
Jeder sonnt sich heute so gern.
Sie feiern die Auferstehung des Herrn,
Denn sie sind selber auferstanden:
Aus niedriger Häuser dumpfen Gemächern,
Aus Handwerks- und Gewerbesbanden,
Aus dem Druck von Giebeln und Dächern,
Aus der Straßen quetschender Enge,
Aus der Kirchen ehrwürdiger Nacht
Sind sie alle ans Licht gebracht.
Sieh nur, sieh! wie behend sich die Menge
Durch die Gärten und Felder zerschlägt,
Wie der Fluß in Breit und Länge
So manchen lustigen Nachen bewegt,
Und, bis zum Sinken überladen,
Entfernt sich dieser letzte Kahn.
Selbst von des Berges fernen Pfaden
Blinken uns farbige Kleider an.
Ich höre schon des Dorfs Getümmel,
Hier ist des Volkes wahrer Himmel,
Zufrieden jauchzet groß und klein:
Hier bin ich Mensch, hier darf ichs sein!"""


wordlist = txt.split()

count_dict = {} # lehres dict

for w in wordlist:
    w = w.lower()
    if not w in count_dict:
        count_dict[w] = 1
    else:
        count_dict[w] += 1

items = count_dict.items()
# das ist jetzt eine Liste von 2-Tupeln aus Schlüsse-Wert-Paaren
# im konkreten Fall in etwa: [(aus, 10), (der, 12), ...]


# Eine kleine Funktion, die das aus einem Tupel das 2. Element zurückgibt

def sort_key_fnc(tup):
    return tup[1]
    
# Sortieren

items.sort(key = sort_key_fnc, reverse = True)

for i, item in enumerate(items[:10]):
    print i+1, item
    

IPS()


