# Zahlen von 1..1000 in Datei schreiben und wieder lesen


# liste mit Zahlen anlegen (n zur einfacheren Kontrolle auf 10 gesetzt)
n = 10
zahlen = range(n)

# Zahlen in Strings konvertieren (for-Schleife als Loesung lass ich mal weg)
# I - Funktion auf Elemente der Liste anwenden
def int2str(i):
    return str(i)+'\n'

strings = map(int2str, zahlen)


# II - lambda function
#strings = map(lambda x: str(x)+'\n', zahlen)


# III - list comprehension
#strings = [str(i)+'\n' for i in zahlen]


# Datei oeffnen, Liste schreiben, Datei schliessen
fid = open('zahlen_text.txt', 'w')
fid.writelines(strings)
fid.close()

# Wieder lesen:
fid = open('zahlen_text.txt', 'r')
gelesen = fid.readlines()
fid.close()