# dictionary als Text in Datei speichern und wieder lesen

# Beispieldaten
d = {'Tutor1' : 'Ingo',
     'Tutor2' : 'Peter',
     'Tutor3' : 'Carsten',
     'Tutor4' : 'Sebastian'}

#-------------------------------------------------------------------------------

# schreiben mit Leerzeichen als Trenner
fid = open('dict_text.txt', 'w')

for key, val in d.iteritems():
    fid.write('%s %s\n' % (key, val))

fid.close()
# Hinweis: das ist noch nicht ganz optimal, da auch die letzte Zeile mit einem
# Zeilenumbruch endet...


# lesen
fid = open('dict_text.txt', 'r')
content = fid.readlines()
fid.close()


# wieder ein dictionary draus machen
ret1 = {}
for i in content:
    key, val = i.split(' ')     # Trennen am Leerzeichen und Liste 'auspacken'
    ret1[key] = val.strip()     # strip entfernt Zeilenumbrueche am Ende
print ret1


#-------------------------------------------------------------------------------

# Hier bietet sich noch eine Variante an: alles was in einen string konvertiert
# werden kann, kann auch in eine Datei geschrieben werden. Also los:
fid = open('dict_str.txt', 'w')
fid.write(str(d))
fid.close()


# lesen
fid = open('dict_str.txt', 'r')
inhalt = fid.read()
fid.close()


# Nun gibt es den Befehl eval(), der einen String interpretiert. Ganz so als
# ob er im Interpreter eingegeben wuerde oder in einem Skript auftauchte.
# Damit wird aus dem String <inhalt> wieder ein dictionary:
ret2 = eval(inhalt)
print ret2