from struct import pack, unpack

# auch hier wieder nur zehn Werte der Einfachheit halber
n = 10
zahlen = range(n)


# zahlen in binaere String-Repraesentationen konvertieren
# hier reicht uns ein short 'h', der zwei Bytes lang ist
binaer = map(lambda x: pack('h',x), zahlen)


# schreiben binaer
fid = open('zahlen_binaer.txt', 'wb')
fid.writelines(binaer)
fid.close()


# lesen binaer, dabei muss der Formatstring angegeben (n Werte vom Typ
# short) und die Anzahl der Bytes (2*n) aus der Datei gelesen werden.
fid = open('zahlen_binaer.txt', 'rb')
ret = unpack(n*'h', fid.read(2*n))
fid.close()

# Achtung: unpack gibt immer ein Tupel zurueck
print ret