# -*- coding: utf-8 -*-

"""
Beispielskript zum Thema
 * lineare Algebra
"""

import numpy as np

from numpy.linalg import inv

# ipython Hilfsmodul:
from ipHelp import IPS

# Pseudo-Daten erzeugen:

A = np.random.rand(4,4)
b = np.random.rand(4)

# A*x = b lösen

assert abs(np.linalg.det(A)>1e-5)

x1 = np.linalg.solve(A,b)

iA = np.linalg.inv(A)
x2 = np.dot(iA,b)

print x1
print x1-x2


# Ähnlichkeits-Transformation auf Diagonalform:

A2 = (A + A.T)/2.0 # symmetrischer Anteil (-> nur reelle EW und EV)

W, V = np.linalg.eig(A2)

D = np.dot(inv(V),A2)
D = np.dot(D, V)

IPS()


