# -*- coding: utf-8 -*-


"""
Beispielskript zum Thema
 * symbolische Berechnung
"""
import sympy as sp

from ipHelp import IPS, ip_syshook



x = sp.Symbol('x')
a,b,c = sp.symbols('a b c') # verschiedene Wege Symbole zu erz.

# Zusammenfassen
z = a*b*x*b + b**2*a*x - c*b*(2*a/c*x*b-1/(b*2))
print z

# Ausmultiplizieren:
print z.expand()

# Funktionen:
y = sp.sin(x)*sp.exp(x)*sp.sqrt(a)
print y

# Vereinfachungen:
print sp.trigsimp(sp.sin(x)**2+sp.cos(x)**2)

# Differenzieren
f = sp.sinh(5*x**2)
print sp.diff(f, x)


#IPS()